Bug 4295 - pump broke backwards compatibility with dhcpcd
pump broke backwards compatibility with dhcpcd
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-31 19:27 EDT by amarkel
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 11:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amarkel 1999-07-31 19:27:51 EDT
As you have decided to replace dhcpcd with pump, you
have broken backwards compatibility with 5.2.

I, and probably other users, had configured ifdhcpcd-up
to perform specific activity.

It also broke the /etc/dhcp/hostinfo-{ifc} mechanism
according to which the file could be 'source-d' and
the variables used.

(Yes, I know that it is possible to accomplish the same
with 'pump', by querying pump and populating the
file with the values returned:

pump -i $IFC --status > $STATFILE

IPADDR=`grep IP: $STATFILE | sed -e 's/ IP: //'`
NETMASK=`grep Netmask: $STATFILE | sed -e 's/   Netmask:
//'`
BROADCAST=`grep Broadcast: $STATFILE | sed -e 's/
Broadcast: //'`
ROUTER=`grep Gateway: $STATFILE | sed -e 's/    Gateway:
//'`
NAMESERVERS=`grep Nameservers: $STATFILE | sed -e 's/
Nameservers: //'`

)

The replacement for dhcpcd - pump - broke the backwards
compatibility.

Furthermore, as mentioned in a previous bug I submitted,
pump (I upgraded following the errata), core dumps on
a compiled 2.2.10 kernel.

-----------------------------

Forgive me for venting, but it appears to me that having
replaced 'pump' with a non-compatible replacement is
a cardinal sin in delivering software.

No matter how smart the replacement program may be, the
impact on the users should be evaluated first and foremost.

You screwed up.

Arieh Markel

Note You need to log in before you can comment on or make changes to this bug.